
uniform vec4 lightPos;
uniform vec4 light2Pos;
uniform vec4 light3Pos;
uniform vec4 cameraPos;

varying vec2 texCoord0;
varying vec3 normal;

varying vec4 V_lightPos;
varying vec4 V_light2Pos;
varying vec4 V_light3Pos;
varying vec4 V_cameraPos;
varying float FogPower;

void main()
{
  // Tranform to clip space.
  gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;

  // Set tex coord.
  texCoord0 = gl_MultiTexCoord0.xy;

  // Send vertex pos and normal to the pixel shader.
  //normal = gl_NormalMatrix * gl_Normal;
  normal = gl_Normal;
  vec4 pos = gl_Vertex;
  V_lightPos   = lightPos - pos;
  V_light2Pos = light2Pos - pos;
  V_light3Pos = light3Pos - pos;
  //V_cameraPos = cameraPos - pos;
  //FogPower=clamp(1.0 - dot(V_light4Pos, V_light4Pos) * 0.001, 0.0, 1.0);  
}
